Subject: Re: bash and ~
From: [email-masked] (Pierre A. Humblet)

25 Feb 1998 23:33:08 -0800
Message-ID: <[email-masked]>
References: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked] (Daniel Karipides)
Cc: [email-masked]

Here is how I have solved it.

1) My window environment variable is c:\users\pierre
I can call emacs and bash from Windows, they find my HOME, no problem.

2) In .profile I change HOME to /users/pierre
Note that in B18 this does NOT change ~,
but the bug is fixed in coolview.

3) In my .profile I also define a function
function emacs () { HOME='c:\users\pierre' /bin/emacs $* ;}

With coolview that function can be exported automatically to the subshells.
With b.18 you have to redefine it in your .bashrc or whatever.

Any better idea? The real fix is to have emacs understand "/users/pierre"
Are they aware of the issue?

Pierre

At 10:46 AM 2/23/98 -0500, you wrote:
>
>
>I tried to check the archives for this, but couldn't find any mention
>of the following problem.
>
>I have defined the enivornment variable $HOME to:
>
>D:\Users\smith
>
>I need it defined this way so that emacs (among other programs) works
>correctly when not started from bash.  However, in bash I noticed the
>following:
>
>bash$ echo $HOME
>D:\Users\smith        <--seems to work
>
>bash$ cd ~
>bash.exe: D:Userssmith: No such file or directory
>
>It seems that the \'s have been removed, which I guess makes sense
>under bash.  Changing HOME to D:\\Users\\smith works for ~, but
>unfortunately doesn't work for emacs outside of bash, etc...
>
>I apologize if this is a problem with a well known solution, but I
>couldn't find it mentioned on any of bash/cygwin set up web pages.
>
>Thanks in advance,
>
>-Dan Karipides
>-----
>[email-masked]
>-
>For help on using this list (especially unsubscribing), send a message to
>"[email-masked]" with one line of text: "help".
>
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".